/// <reference types="react" />
export type TooltipColorStyleProps = {
    backgroundColor: string;
    borderColor: string;
    contentColor: string;
};
export declare const TippyContentAndCloseButtonWrapper: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const CloseButtonWrapper: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const TippyWrapper: import("@emotion/styled").StyledComponent<import("@tippyjs/react").TippyProps & {
    theme?: import("@emotion/react").Theme | undefined;
} & TooltipColorStyleProps, {}, {}>;
export declare const Children: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any> | undefined;
} & {
    isChildrenFullWidth: boolean;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
